#ifndef _APPLICATIONFRAME_H
#define _APPLICATIONFRAME_H

#include <qapplication.h>

#include "ApplicationStorage.h"
#include "MainFrame.h"

class ApplicationFrame
{
public:
   ApplicationFrame(QApplication *pc_Application);
   ~ApplicationFrame();

   ApplicationStorage *m_pc_ApplicationStorage;

   void AddMainFrame(MainFrame *pc_NewFrame);
   void RemoveMainFrame(MainFrame *pc_OldFrame);

   void ExitCall(MainFrame *pc_CallingFrame);
   void Terminate();

private:
   int m_i_NumberOfImages;
   QPtrList<MainFrame> m_Images;

} ;


#endif // _APPLICATIONFRAME_H


