#ifndef _GLOBALSTORAGE_H
#define _GLOBALSTORAGE_H

class MouseEvent;
class DrawingArea;
class Zoom;
class ImageFrame;
class PixelBuffer;
class MaskSettings;
class MessageServer;
class Selection;
class GraphicObjectMain;
class StatusBar;
class Undo;
class QApplication;

class GlobalStorage
{
public:
   GlobalStorage();
   ~GlobalStorage();

   MouseEvent        *m_pc_MouseEvent;
   DrawingArea       *m_pc_DrawingArea;
   Zoom              *m_pc_Zoom;
   ImageFrame        *m_pc_ImageFrame;
   PixelBuffer       *m_pc_MainImage;
   MaskSettings      *m_pc_MaskSettings;
   MessageServer     *m_pc_MessageServer;
   Selection         *m_pc_Selection;
   GraphicObjectMain *m_pc_ObjectMain;
   StatusBar         *m_pc_StatusBar;
   Undo              *m_pc_Undo;
   QApplication      *mainApplication;

}; // class GlobalStorage()


#endif // _GLOBALSTORAGE_H
