#ifndef _GRAPHIC_OBJECT_ELLIPSE_H
#define _GRAPHIC_OBJECT_ELLIPSE_H


#include "GraphicObject.h"

//#########################################################################


class GraphicObjectEllipse : public GraphicObject
{
public:
   GraphicObjectEllipse(float f_StartX, float f_StartY,
                          float f_EndX,   float f_EndY   );
   virtual RectRegion GetSize();
   virtual void SetSize(RectRegion c_NewSize);
   virtual void MoveTo( float f_OriginX, float f_OriginY);
   virtual void MoveOffset( float f_OffsetX, float f_OffsetY);
} ; // GraphicObjectEllipse


//#########################################################################



#endif //  _GRAPHIC_OBJECT_ELLIPSE_H

