#ifndef _GRAPHIC_OBJECT_LINE_H
#define _GRAPHIC_OBJECT_LINE_H


#include "GraphicObject.h"

class GraphicObjectLine : public GraphicObject
{
public:
   GraphicObjectLine(float f_StartX, float f_StartY,
                     float f_EndX,   float f_EndY   );
   virtual RectRegion GetSize();
   virtual void SetSize(RectRegion c_NewSize);
   virtual void MoveTo( float f_OriginX, float f_OriginY);
   virtual void MoveOffset( float f_OffsetX, float f_OffsetY);
   void    SetPosition(float f_StartX, float f_StartY,
                     float f_EndX,   float f_EndY   );
} ; // GraphicObjectLine


#endif //  _GRAPHIC_OBJECT_LINE_H

