#ifndef _MASKSETTINGS_H
#define _MASKSETTINGS_H

class MaskSettings
{
public:

   // the destination image
   enum
   {
      MaskPaintModeImage=0,
      MaskPaintModeInSafety=1,
      MaskPaintModeInSelection=2
   };

   // extend or reduce the mask
   enum
   {
      MaskPaintDrawExtend=0,
      MaskPaintDrawReduce=1
   };

   MaskSettings();

   int GetPaintMode();
   void SetPaintMode(int i_PaintMode);

   int GetDraw();
   void SetDraw(int i_Draw);

private:
   int m_i_PaintMode;

   int m_i_Draw;



}; // class MaskSettings

#endif //  _MASKSETTINGS_H


