#ifndef _NEWIMAGEBOX_H
#define _NEWIMAGEBOX_H

#include <qdialog.h>

#include <qlineedit.h>
#include <qcheckbox.h>
#include <qpushbutton.h>
#include <qslider.h>
#include <qlabel.h>

#include "GlobalStorage.h"


class NewImageBox :  public QDialog
{
Q_OBJECT

public:
   NewImageBox(QWidget *parent=0,
                GlobalStorage *pc_Global=0);
                
   int GetWidth();
   int GetHeight();

public slots:
   void OKPressed();
   void AbortPressed();
   void TextChanged(const QString &qs_Text);

private:
   QLineEdit *m_WidthEdit;
   QLineEdit *m_HeightEdit;

   QPushButton *m_w_OKButton;
   QPushButton *m_w_AbortButton;

   int m_i_Width;
   int m_i_Height;

}; // class NewImageBox


#endif // _NEWIMAGEBOX_H
