#ifndef _STANDARDDIALOG_H
#define _STANDARDDIALOG_H

#include <qdialog.h>
#include <qpushbutton.h>
#include <qlayout.h>

#include "GlobalStorage.h"

class StandardDialog : public QDialog
{
Q_OBJECT

public:
   StandardDialog( QWidget *parent=0,
                GlobalStorage *pc_Global=0);
public slots:
   void ClosePressed();

protected:
     virtual void OnMessageReceive(QString qs_MessageType,
                                 void *p_Data);

                                 
   void ResizeDisplay();
                                    
protected:
   static void OnMessageReceiveCB(void *p_ThisData,
				 QString qs_MessageType,
                                 void *p_Data);

protected:
   GlobalStorage *m_pc_GlobalStorage;

   QPushButton   *m_w_CloseButton;
   QBoxLayout    *m_l_TopLayout;
   QWidget       *m_w_TopWidget;

};



#endif  // _STANDARDDIALOG_H

