#ifndef _STATUSBAR_H
#define _STATUSBAR_H

#include <qstatusbar.h>

#include "QtUtilities.h"

class StatusBar : QStatusBar
{
public:
   StatusBar(QWidget *parent);

   void SetCoordinate(int i_X, int i_Y);

   void SetOperationMode(QString qs_Operation);

private:

   int m_i_X;
   int m_i_Y;
   QString m_qs_Operation;

   QtUtilReadOnlyLineEdit *m_OperationEdit;
   QtUtilReadOnlyLineEdit *m_CoordinateEdit;

virtual void resizeEvent ( QResizeEvent * );
   QWidget      *m_Container;

}; // StatusBar

#endif // _STATUSBAR_H
