#ifndef _TESTOBJECTBOX_H
#define _TESTOBJECTBOX_H

#include <qdialog.h>

#include <qlineedit.h>
#include <qcheckbox.h>
#include <qpushbutton.h>
#include <qslider.h>
#include <qlabel.h>
#include <qcombobox.h>
#include <qvgroupbox.h>
#include <qlistbox.h>


#include "StandardDialog.h"
#include "Tracer.h"
#include "GraphicObjectMain.h"
#include "QUImageDragLabel.h"

class TestObjectBox :  public StandardDialog
{
Q_OBJECT

public:
   TestObjectBox(QWidget *parent=0,
            GlobalStorage *pc_Global=0);

public slots:
   void Activate();

private :
   void CreateTestObjects();

private:
   QPushButton  *m_ActivateButton;
   GraphicObjectLayer     *m_pc_ActiveLayer;

   QUImageDragLabel *m_DragLabel;


};


#endif // TESTOBJECTBOX_H
