#ifndef _BUFFERPAINTEREDGES
#define _BUFFERPAINTEREDGES


class BufferPainterEdgesLine
{
public:
   BufferPainterEdgesLine();
   ~BufferPainterEdgesLine();
   void AddPoint(int i_Point);
   int GetNumber();
   int GetPoint(int i_Index);
private:
   int m_i_PointListSize;
   int m_i_PointCount;
   int *m_pi_PointList;
};

class BufferPainterEdges
{

public:
   BufferPainterEdges(int i_StartLine, int i_EndLine);
   ~BufferPainterEdges();
   void AddLinePoint(int i_X, int i_Y);
   int GetStartLine();
   int GetEndLine();
   BufferPainterEdgesLine * GetLine(int i_LineIndex);
private:
   int m_i_StartLine;
   int m_i_EndLine;
   BufferPainterEdgesLine *m_pc_Lines;
};


#endif // _BUFFERPAINTEREDGES
