#ifndef _COLORCALCULATION_H
#define _COLORCALCULATION_H

#include "PTypes.h"

class ColorCalculation
{
public:
   static void RGBToHLS(int i_R  , int i_G  , int i_B,
                        int &i_H , int &i_L , int &i_S);

   static void HLSToRGB(int i_H  , int i_L  , int i_S,
                        int &i_R , int &i_G , int &i_B);

   static Pixel TransparentColor(Pixel p_Old, Pixel p_New,int i_TransparencyFactor);
   
} ;

#endif // _COLORCALCULATION_H


