#ifndef _PAINTERBRUSH_H
#define _PAINTERBRUSH_H

#include "PixelBuffer.h"
#include "RectRegion.h"
#include "BufferPainterEdges.h"
#include <qvaluevector.h>
#include <qvaluelist.h>

class PainterBrush
{
public:

   PainterBrush();
   ~PainterBrush();

   void SetPattern(PixelBuffer *pc_Pattern);

   Pixel GetBrushPixel(int i_X,int i_Y,bool &b_Valid);

   Pixel         m_Color;
   PixelBuffer * m_Pattern;
   bool          m_b_UsePattern;
   
   PixelBuffer * m_pc_BrushShape;

   bool m_b_Lightness;
   bool m_b_Saturation;
   bool m_b_Filter;
   int  m_i_LightnessFactor;
private:
   // store for speed
   int m_i_PatternWidth;
   int m_i_PatternHeight;
   

} ; // class PainterBrush


#endif // _PAINTERBRUSH_H
