#ifndef _QTUTILITIES_H
#define _QTUTILITIES_H

#include <qwidget.h>
#include <qlineedit.h>


class QtUtilSpacer
		: public QWidget
{
public:
   QtUtilSpacer(bool ExpandHorizontal,
                bool ExpandVertical,
                QWidget *Parent);
};

class QtUtilReadOnlyLineEdit
        : public QLineEdit
{
public:
   QtUtilReadOnlyLineEdit(QWidget *Parent);
};



class QtUtility
{
public:
   QtUtility();

   int GetMaximalFontWidth();
   
   static void StartWaitingCursor();
   static void EndWaitingCursor();
   
   static QString GetDragSourceName(QByteArray *qba_Data,
                                    QString *pqs_Value = NULL);
   static QString GetDragSourceText(QByteArray *qba_Data);

private:
   int m_i_MaxFontWidth;

};


#endif //  _QTUTILITIES_H


