#ifndef _TRACERBOX_H
#define _TRACERBOX_H

#include <qdialog.h>

#include <qlineedit.h>
#include <qcheckbox.h>
#include <qpushbutton.h>
#include <qslider.h>
#include <qlabel.h>
#include <qcombobox.h>
#include <qvgroupbox.h>
#include <qlistbox.h>
#include <qlistview.h>

#include "StandardDialog.h"
#include "Tracer.h"


class TracerBox :  public StandardDialog
{
Q_OBJECT

public:
   TracerBox(QWidget *parent=0,
            GlobalStorage *pc_Global=0);
   void Reload();

public slots:
  
   void ActivateAll();
   void ActivateNothing();

   void ListViewClicked ( QListViewItem * item );
private:
   QPushButton  *m_AllButton;
   QPushButton  *m_NothingButton;
   QListView    *m_ListView;

   int           m_i_CurrentSelected;
   int           m_i_NumberOfTraces;

};


#endif // _TRACERBOX_H
