// This sourcefile is created by Peter Jodda / peter@jodda.de
// It is under the Peter Jodda license:
// Everyboy may use it on his own risk. This header must stay in the file!
// If you expand this file, please contact me, that I can integrate the
// enhancemants in the original file.
//
// main-modules for khdrecord

#include <stdio.h>
#include <stdlib.h>

#include "PTypes.h"

#include "IconLibrary.h"
#include "PixelBuffer.h"
#include "ApplicationStorage.h"


ApplicationStorage *g_Application;

//===========================================================================
//
//===========================================================================

int main(int argc, char *argv[])
{
   IconLibrary *ic;
   QString qs_PureName;
   int          i;

   if(argc<=1)
   {
      exit(0);
   }
   ic = new IconLibrary(NULL);

   for(i=1; i<argc;i++)
   {
      int i_Point;
      fprintf(stderr,"%s\n",argv[i]);
      qs_PureName =argv[i];
      i_Point = qs_PureName.find('.');
      if(i_Point <0)
      {
         continue;
      }
      // remove the point
      qs_PureName = qs_PureName.left(i_Point);
      ic->AddIconFromFile(qs_PureName,argv[i]);

   } // for all arguments

   ic->SaveToCFile("IconData.c");

} // main()









